Subject: Re: [Fwd: Re: iBook G3 owners]

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 06 Apr 2005 09:50:15 +1000

> I have the same problem.  I'm also seeing the same hang when the KDED
> Media Manager is running (independent of hal/dbus).  I believe the cause
> for this is that the ide subsystem wakes up too late, and the cdrom
> polling of hal or kded is resuming too early.

Yes, but that should not cause a hang... the ioctl should just be
blocked until the driver is resumed, though there must be some kind of
bug preventing that from working...

Ben.